Subject: Re: [bug#73759] [PATCH v2] gnu: Upgrade googletest
From: Greg Hogan <[email-masked]>
To: [email-masked]
Cc: [email-masked], Aaron Covrig <[email-masked]>, Aaron Covrig <[email-masked]>
Date: Wed, 9 Jul 2025 16:34:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, May 9, 2025 at 11:53 AM Greg Hogan <[email-masked]> wrote:
>
> On Sat, Apr 26, 2025 at 11:35 AM ngraves--- via Guix-patches via
> <[email-masked]> wrote:
> >
> > Hi Aaron,
> >
> > googletest has 6k+ dependent packages, it should be updated in a
> > dedicated branch (core-packages, or maybe c++).
>
> v1.17.0 has since been released (which would be the third update on this issue).
>
> I would like to put this on a c++ branch but the initial c++-team
> branch makes major changes to the cmake build system so library
> updates will need to wait for the subsequent branch. It has been
> (exactly) 2 months waiting to move up half the queue, with
> core-packages (and presumably qt) still to be merged. Then after
> merging the c++ branch we'll be waiting for another round of the
> queue.
>
> But waiting leaves this issue open, and I have actually already
> included it in a local c++-libraries branch, so perhaps I should push
> that upstream, mark this issue done, and request a new specification
> on CI for both c++-team (which is almost ready) and c++-libraries.
>
> There is still the question of how to publish further patches fixing
> broken builds from this update. It's not clear to me that the feature
> branch is sufficient.
>
> Greg

This is included in the c++-libraries branch so I am closing the issue.